PLATFORM_DEVI(9)

NAME
platform_device_register_simple -

SYNOPSIS

struct platform_device * platform_device_register_simple (char * name, unsigned int id, struct resource * res, unsigned int num);

ARGUMENTS

name
    base name of the device we're adding

id  instance id

res set of resources that needs to be allocated for the device

num number of resources

DESCRIPTION

This function creates a simple platform device that requires minimal resource and memory management. Canned release function freeing memory allocated for the device allows drivers using such devices to be unloaded iwithout waiting for the last reference to the device to be dropped.